<div class="app-page-title">
  <div class="page-title-wrapper">
    <div class="page-title-heading">
      <div class="page-title-icon">
        <i class="icon {{icon}}"></i>
      </div>
      <div>
        User Management
      </div>
    </div>
  </div>
</div>
<!-- outsource all status -->
<div style="margin-bottom: 2em;">
  <button type="button" class="btn-shadow d-inline-flex align-items-center btn btn-success" (click)="open(content)">
    <fa class="mr-2" name="plus"></fa>
    Create New
  </button>
</div>
<div class="main-card mb-3 card">
  <div class="card-header">
    <div class="card-header-title font-size-lg text-capitalize font-weight-normal">All Users</div>
  </div>
  <div class="table-responsive">
    <table class="align-middle text-truncate mb-0 table table-borderless table-hover">
      <thead>
        <tr>
          <th class="text-center">ID</th>
          <th class="text-center">Username</th>
          <th class="text-center">Name</th>
          <th class="text-center">Create Date</th>
          <th class="text-center">Actions</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let outsource of userall">
          <td class="text-center text-muted" style="width: 80px;">{{outsource.id}}</td>
          <td class="text-center" style="">{{outsource.username}}</td>
          <td class="text-center">{{outsource.name}}</td>
          <td class="text-center">{{outsource.create_date}}</td>
          <td class="text-center">
            <div role="group" class="btn-group-sm btn-group">
              <button class="btn-shadow btn btn-primary" (click)="edit(editcontent)">Edit</button>&nbsp;&nbsp;
              <button class="btn-shadow btn btn-primary" (click)="delete(deletecontent)">Delete</button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
  <!-- <div class="d-block p-4 text-center card-footer">
    <button class="btn-pill btn-shadow btn-wide fsize-1 btn btn-dark btn-lg">
      <span class="mr-2 opacity-7">
          <i class="fa fa-cog fa-spin"></i>
      </span>
      <span class="mr-1">View Complete Report</span>
    </button>
  </div> -->
</div>

<ng-template #content let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Create User</h4>
    <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="alert alert-danger" *ngIf="check_error == true" role="alert">
      {{result_create}}
    </div>
    <form>
      <div class="form-group">
        <label for="dateOfBirth">Username</label>
        <div class="input-group">
          <input type="text" class="form-control" [(ngModel)]="username" name="username" id="username"
            placeholder="username" required>
        </div>
      </div>

      <div class="form-group">
        <label for="street">Password</label>
        <div class="position-relative form-group">
          <input type="password" class="form-control" [(ngModel)]="Password" name="Password" id="Password"
            placeholder="Password" required>
        </div>
      </div>
      <div class="form-group">
        <label for="street">Confirm Password</label>
        <div class="position-relative form-group">
          <input type="password" class="form-control" [(ngModel)]="ConfirmPassword" name="cPassword" id="cPassword"
            placeholder="Confirm Password" required>
        </div>
      </div>
      <div class="form-group">
        <label for="dateOfBirth">Name</label>
        <div class="input-group">
          <input type="text" class="form-control" [(ngModel)]="name" name="username" id="username" placeholder="name"
            required>
        </div>
      </div>
      <div class="form-group">
        <label for="dateOfBirth">Email</label>
        <div class="input-group">
          <input type="text" class="form-control" [(ngModel)]="eamil" name="username" id="username" placeholder="email"
            required>
        </div>
      </div>
      <div class="form-group">
        <label for="street">Role</label>
        <div class="position-relative form-group">
          <select name="select" id="exampleSelect" class="form-control" placeholder="select company" [(ngModel)]="role">
            <option value="admin">Administrator</option>
            <option value="user">User</option>
          </select>
        </div>
      </div>

    </form>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-outline-dark" (click)="clearModal(c)">Close</button>
    <button type="button" class="btn btn-outline-success"
      (click)="createUser(c,username,Password,ConfirmPassword,name,eamil)">Create</button>
  </div>
</ng-template>






<ng-template #editcontent let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Create User</h4>
    <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form>
      <div class="form-group">
        <label for="dateOfBirth">Username</label>
        <div class="input-group">
          <input type="text" class="form-control" [(ngModel)]="username" name="username" id="username"
            placeholder="username" required>
        </div>
      </div>

      <div class="form-group">
        <label for="street">Password</label>
        <div class="position-relative form-group">
          <input type="password" class="form-control" [(ngModel)]="Password" name="Password" id="Password"
            placeholder="Password" required>
        </div>
      </div>
      <div class="form-group">
        <label for="street">Confirm Password</label>
        <div class="position-relative form-group">
          <input type="password" class="form-control" [(ngModel)]="ConfirmPassword" name="Password" id="Password"
            placeholder="Confirm Password" required>
        </div>
      </div>
      <div class="form-group">
        <label for="dateOfBirth">Name</label>
        <div class="input-group">
          <input type="text" class="form-control" [(ngModel)]="username" name="username" id="username"
            placeholder="name" required>
        </div>
      </div>
      <div class="form-group">
        <label for="dateOfBirth">Email</label>
        <div class="input-group">
          <input type="text" class="form-control" [(ngModel)]="username" name="username" id="username"
            placeholder="email" required>
        </div>
      </div>
      <div class="form-group">
        <label for="street">Role</label>
        <div class="position-relative form-group">
          <select name="select" id="exampleSelect" class="form-control" [(ngModel)]="role">
            <option value="admin">Administrator</option>
            <option value="user">User</option>
          </select>
        </div>
      </div>
    </form>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-outline-dark" (click)="clearModal(c)">Close</button>
    <button type="button" class="btn btn-outline-success" (click)="editUser(c)">Save</button>
  </div>
</ng-template>





<ng-template #deletecontent let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Delete User</h4>
    <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form>
      <h3>Delete Account ?</h3>
    </form>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-outline-light" (click)="clearModal(c)">Cancle</button>
    <button type="button" class="btn btn-outline-danger" (click)="deleteUser(c)">Delete</button>
  </div>
</ng-template>